import request from '@/helpers/request'
import { Button } from 'vant'
import { defineComponent } from 'vue'
import styles from './index.module.less'

export default defineComponent({
  name: 'cash-protocol',
  data() {
    return {
      url: ''
    }
  },
  async mounted() {
    try {
      // 查询提现协议
      const res = await request.get(
        '/api-teacher/sysUserContractRecord/queryLatestContractTemplate',
        {
          params: {
            contractType: 'WITHDRAW'
          }
        }
      )

      this.url =
        window.location.origin +
        '/pdf/web/viewer.html?file=' +
        encodeURIComponent(res.data.origanalFileUrl) +
        '&btn=1'
    } catch {}
  },
  render() {
    return (
      <div class={styles.cashProtocol}>
        <Button type="primary" size="large" block round class={styles.submit}>
          我已阅读并同意
        </Button>
        <iframe
          src={this.url}
          frameborder="0"
          style={{ width: '100%', height: '100vh', border: 'none' }}
        ></iframe>
      </div>
    )
  }
})
